rte_bpf_prm(3)

NAME
rte_bpf_prm

SYNOPSIS

#include <rte_bpf.h>

  Data Fields

const struct ebpf_insn * ins
uint32_t nb_ins
const struct rte_bpf_xsym * xsym
uint32_t nb_xsym
struct rte_bpf_arg prog_arg

Detailed Description

Input parameters for loading eBPF code.

Definition at line 91 of file rte_bpf.h.

Field Documentation

  const struct ebpf_insn* ins
array of eBPF instructions

Definition at line 92 of file rte_bpf.h.

  uint32_t nb_ins
number of instructions in ins

Definition at line 93 of file rte_bpf.h.

  const struct rte_bpf_xsym* xsym
array of external symbols that eBPF code is allowed to reference

Definition at line 94 of file rte_bpf.h.

  uint32_t nb_xsym
number of elements in xsym

Definition at line 96 of file rte_bpf.h.

  struct rte_bpf_arg prog_arg
eBPF program input arg description

Definition at line 97 of file rte_bpf.h.

Author

Generated automatically by Doxygen for DPDK from the source code.